## golang-github-prometheus-client-golang 1.18.0

=== Makefile ===
# Copyright 2018 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

include .bingo/Variables.mk
include Makefile.common

.PHONY: test
test: deps common-test

.PHONY: test-short
test-short: deps common-test-short

.PHONY: generate-go-collector-test-files
VERSIONS := 1.19 1.20 1.21
generate-go-collector-test-files:
	for GO_VERSION in $(VERSIONS); do \
		docker run --rm -v $(PWD):/workspace -w /workspace golang:$$GO_VERSION go run prometheus/gen_go_collector_metrics_set.go; \
		mv -f go_collector_metrics* prometheus; \
		done

.PHONY: fmt
fmt: common-format
	$(GOIMPORTS) -local github.com/prometheus/client_golang -w .

## golang-github-prometheus-client-golang 0.8.0

=== debian/changelog ===
golang-github-prometheus-client-golang (0.8.0-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Martín Ferrari ]
  * New upstream release, which does not require repackaging any more.
  * Rename source and binary packages, to match policy.
  * debian/control: Update dependencies, Vcs links, add transitional package.
  * Update and simplify packaging.
  * debian/copyright: remove now obsolete entries.
  * Remove now unneeded patches.

 -- Martín Ferrari <tincho@debian.org>  Thu, 18 Aug 2016 12:06:03 +0000

golang-prometheus-client (0.7.0+ds-4) unstable; urgency=medium

  * Switch to use the golang-github-prometheus-client-model-dev package.
  * Update Standards-Version with no changes.
  * Add XS-Go-Import-Path field.
  * Add lintian overrides for compressed test files.

 -- Martín Ferrari <tincho@debian.org>  Fri, 06 May 2016 18:15:35 +0000

golang-prometheus-client (0.7.0+ds-3) unstable; urgency=medium

  * Add -common as new dependency, remove the private copy of the model
    protobuf.
  * Skip another flaky test.

 -- Martín Ferrari <tincho@debian.org>  Mon, 11 Jan 2016 19:13:47 +0000

golang-prometheus-client (0.7.0+ds-2) unstable; urgency=medium

  * Disable flaky TestSummaryDecay test. Closes: #796421.

 -- Martín Ferrari <tincho@debian.org>  Sat, 22 Aug 2015 09:41:21 +0000

golang-prometheus-client (0.7.0+ds-1) unstable; urgency=medium

  * debian/control: Migration to pkg-go team.
  * Add missing test data.
  * New upstream version.

 -- Martín Ferrari <tincho@debian.org>  Sat, 22 Aug 2015 00:10:11 +0200

golang-prometheus-client (0.6.0+ds-1) unstable; urgency=medium

  * New upstream release, which includes an incompatible change in metric
    fingerprints, so invalidates all past storage. This is not a problem yet,
    because prometheus is still not uploaded to Debian.
  * debian/patches: Refresh, remove unneeded patch.
  * Upstream now vendors all dependencies: remove the ones already in Debian.
  * New patch: Fix import path for remaining vendored dependencies.
  * Update watchfile for repackaging mangle.
  * Add missing binary dependencies.
  * Reduce the length of the vendored dependencies import names.
  * Fix bug in which the compiled protocol buffer was not found by code using
    this package.

 -- Martín Ferrari <tincho@debian.org>  Mon, 29 Jun 2015 16:19:04 +0000

golang-prometheus-client (0.2.0-1+1) unstable; urgency=medium

  * Re-build with current versions of build dependencies.

 -- Martín Ferrari <tincho@debian.org>  Sun, 01 Mar 2015 13:43:22 +0000

golang-prometheus-client (0.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #779260)

 -- Martín Ferrari <tincho@debian.org>  Thu, 26 Feb 2015 14:12:39 +0000

=== debian/control ===
Source: golang-github-prometheus-client-golang
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-golang (>= 0.17~), golang-any,
               golang-github-beorn7-perks-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev,
               golang-golang-x-net-dev,
               golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
               golang-procfs-dev | golang-github-prometheus-procfs-dev,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-prometheus-client-golang.git/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-prometheus-client-golang.git/
Homepage: https://github.com/prometheus/client_golang.git
XS-Go-Import-Path: github.com/prometheus/client_golang

Package: golang-github-prometheus-client-golang-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
         golang-github-beorn7-perks-dev,
         golang-github-prometheus-client-model-dev,
         golang-github-prometheus-common-dev,
         golang-golang-x-net-dev,
         golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
         golang-procfs-dev | golang-github-prometheus-procfs-dev,
Replaces: golang-prometheus-client-dev (<< 0.8.0-1~)
Breaks: golang-prometheus-client-dev (<< 0.8.0-1~)
Provides: golang-prometheus-client-dev
Description: Prometheus instrumentation library for Go applications
 This is the Prometheus Go client library. It provides two main functions:
 .
 * The exposition library is used to export metrics to a Prometheus server or
   pushgateway.
 .
 * The consumption library is used to process metrics exported by a Prometheus
   client. (The Prometheus server is using that library.)

Package: golang-prometheus-client-dev
Depends: golang-github-prometheus-client-golang-dev, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: Transitional package for golang-github-prometheus-client-golang-dev
 This is a transitional package to ease upgrades to the
 golang-github-prometheus-client-golang-dev package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# Exclude sample code from compilation and installation.
export DH_GOLANG_EXCLUDES := examples

DEBVERS    ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
DEBPKGNAME ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Source: //p')

%:
	dh $@ --buildsystem=golang --with=golang

gen-orig-tgz:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
            git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
            upstream/$(VERSION) >../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ; \
	fi

## golang-github-prometheus-client-golang 0.9.0~pre1+git20180417.82f5ff1

=== debian/changelog ===
golang-github-prometheus-client-golang (0.9.0~pre1+git20180417.82f5ff1-2) unstable; urgency=medium

  * Release to unstable, as the new -common fails without it.

 -- Martín Ferrari <tincho@debian.org>  Wed, 23 May 2018 16:26:49 +0000

golang-github-prometheus-client-golang (0.9.0~pre1+git20180417.82f5ff1-1) experimental; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * Upload a snapshot of upstream repository, required by
    prometheus-alertmanager.
  * Skip test that accesses the network.
  * Depend on latest common lib.
  * Automated cme fixes.
  * Upgrade dh compat to 11.
  * Update debian/docs.

 -- Martín Ferrari <tincho@debian.org>  Sat, 19 May 2018 15:28:08 +0000

golang-github-prometheus-client-golang (0.8.0-2) unstable; urgency=medium

  * Disable flaky test. Closes: 854687.
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Mark package as autopkgtest-able.
  * debian/copyright: Format uses http protocol instead of https.
  * A few formatting fixes from cme.
  * debian/rules: Remove unneeded stuff.
  * Add gbp.conf to reflect workflow and structure.

 -- Martín Ferrari <tincho@debian.org>  Mon, 28 Aug 2017 16:54:26 +0000

=== debian/control ===
Source: golang-github-prometheus-client-golang
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-beorn7-perks-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev (>= 0+git20180413),
               golang-golang-x-net-dev,
               golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
               golang-procfs-dev | golang-github-prometheus-procfs-dev,
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang.git
Homepage: https://github.com/prometheus/client_golang.git
XS-Go-Import-Path: github.com/prometheus/client_golang

Package: golang-github-prometheus-client-golang-dev
Architecture: all
Depends: golang-github-beorn7-perks-dev,
         golang-github-prometheus-client-model-dev,
         golang-github-prometheus-common-dev (>= 0+git20180413),
         golang-golang-x-net-dev,
         golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
         golang-procfs-dev | golang-github-prometheus-procfs-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: golang-prometheus-client-dev,
Description: Prometheus instrumentation library for Go applications
 This is the Prometheus Go client library. It provides two main functions:
 .
  * The exposition library is used to export metrics to a Prometheus server or
   pushgateway.
 .
  * The consumption library is used to process metrics exported by a Prometheus
   client. (The Prometheus server is using that library.)

Package: golang-prometheus-client-dev
Architecture: all
Section: oldlibs
Priority: optional
Depends: golang-github-prometheus-client-golang-dev,
         ${misc:Depends},
Description: Transitional package for golang-github-prometheus-client-golang-dev
 This is a transitional package to ease upgrades to the
 golang-github-prometheus-client-golang-dev package. It can safely be removed.

## golang-github-prometheus-client-golang 0.9.0

=== debian/changelog ===
golang-github-prometheus-client-golang (0.9.0-1ubuntu1) disco; urgency=medium

  * Skip TestCounterAddLarge fails on many 64bit arches.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 22 Jan 2019 09:38:52 -0500

golang-github-prometheus-client-golang (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Stop using pristine-tar.

 -- Martín Ferrari <tincho@debian.org>  Fri, 19 Oct 2018 15:32:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: golang-github-prometheus-client-golang
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
 Section: devel
 Testsuite: autopkgtest-pkg-go
@@ -13,7 +14,7 @@
                golang-golang-x-net-dev,
                golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
                golang-procfs-dev | golang-github-prometheus-procfs-dev,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang.git
 Homepage: https://github.com/prometheus/client_golang.git

## golang-github-prometheus-client-golang 0.9.2

=== debian/changelog ===
golang-github-prometheus-client-golang (0.9.2-0ubuntu3) eoan; urgency=medium

  * Renable TestCounterAddLarge, cherrypick upstream patch to resolve the
    testcode.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 07 May 2019 14:48:51 +0100

golang-github-prometheus-client-golang (0.9.2-0ubuntu2) disco; urgency=medium

  * Skip TestCounterAddLarge fails on many 64bit arches.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 22 Jan 2019 22:41:21 +0000

golang-github-prometheus-client-golang (0.9.2-0ubuntu1) disco; urgency=medium

  * New upstream release

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 22 Jan 2019 14:17:40 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 XS-Go-Import-Path: github.com/prometheus/client_golang
 
 Package: golang-github-prometheus-client-golang-dev
-Architecture: all
+Architecture: any
 Depends: golang-github-beorn7-perks-dev,
          golang-github-prometheus-client-model-dev,
          golang-github-prometheus-common-dev (>= 0+git20180413),
@@ -41,7 +41,7 @@
    client. (The Prometheus server is using that library.)
 
 Package: golang-prometheus-client-dev
-Architecture: all
+Architecture: any
 Section: oldlibs
 Priority: optional
 Depends: golang-github-prometheus-client-golang-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
# Exclude sample code from compilation and installation.
export DH_GOLANG_EXCLUDES := examples

%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/client_golang-$1.tar.gz/,dversionmangle=s/\+ds\d*$//" \
         https://github.com/prometheus/client_golang/tags \
         (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## golang-github-prometheus-client-golang 1.2.1

=== debian/changelog ===
golang-github-prometheus-client-golang (1.2.1-3) unstable; urgency=medium

  * debian/control: Add Breaks for API changes.

 -- Martina Ferrari <tincho@debian.org>  Sun, 03 Nov 2019 01:17:15 +0000

golang-github-prometheus-client-golang (1.2.1-2) unstable; urgency=medium

  * Update minimum version of common library, which fixes a bug.

 -- Martina Ferrari <tincho@debian.org>  Tue, 29 Oct 2019 16:04:50 +0000

golang-github-prometheus-client-golang (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove transitional golang-prometheus-client-dev package. Closes:
    #939220
  * Name update.
  * Automatic cme fixes.
  * Refresh and clean obsolete patches.
  * Remove unneeded debian/install file.
  * Add new dependencies.

 -- Martina Ferrari <tincho@debian.org>  Tue, 29 Oct 2019 09:40:40 +0000

=== debian/control ===
Source: golang-github-prometheus-client-golang
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martina Ferrari <tincho@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-beorn7-perks-dev,
               golang-github-cespare-xxhash-dev,
               golang-github-json-iterator-go-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev (>= 0.4.1~),
               golang-golang-x-net-dev,
               golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
               golang-procfs-dev | golang-github-prometheus-procfs-dev,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang.git
Homepage: https://github.com/prometheus/client_golang.git
XS-Go-Import-Path: github.com/prometheus/client_golang

Package: golang-github-prometheus-client-golang-dev
Architecture: all
Depends: golang-github-beorn7-perks-dev,
         golang-github-cespare-xxhash-dev,
         golang-github-json-iterator-go-dev,
         golang-github-prometheus-client-model-dev,
         golang-github-prometheus-common-dev (>= 0.4.1~),
         golang-golang-x-net-dev,
         golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
         golang-procfs-dev | golang-github-prometheus-procfs-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: golang-prometheus-client-dev,
Breaks: golang-github-cloudflare-redoctober-dev (<< 0.0~git20161017.0.78e9720-4~),
        golang-github-grpc-ecosystem-go-grpc-prometheus-dev (<< 1.2.0+git20191002~),
        golang-github-mwitkow-go-conntrack-dev (<< 0.0~git20190716~),
        golang-redoctober (<< 0.0~git20161017.0.78e9720-4~),
        prometheus-postfix-exporter (<< 0.2.0-1~),
Description: Prometheus instrumentation library for Go applications
 This is the Prometheus Go client library. It provides two main functions:
 .
  * The exposition library is used to export metrics to a Prometheus server or
   pushgateway.
 .
  * The consumption library is used to process metrics exported by a Prometheus
   client. (The Prometheus server is using that library.)

## golang-github-prometheus-client-golang 1.6.0

=== debian/changelog ===
golang-github-prometheus-client-golang (1.6.0-1) unstable; urgency=medium

  [ Lucas Kanashiro ]
  * New upstream release.
  * Add myself to the Uploaders list
  * Bump debhelper compatibility level to 13
  * Add version constraint to golang-github-prometheus-client-model-dev
  * Update version constraint of golang-github-prometheus-common-dev
  * Declare compliance with Debian Policy 4.5.0
  * Update years of the upstream copyright

  [ Daniel Swarbrick ]
  * Add myself to Uploaders
  * Update maintainer email addresses / names

 -- Martina Ferrari <tina@debian.org>  Mon, 22 Jun 2020 12:15:18 +0000

## golang-github-prometheus-client-golang 1.7.1

=== debian/changelog ===
golang-github-prometheus-client-golang (1.7.1-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

  [ Lucas Kanashiro ]
  * New upstream release.

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 23 Jul 2020 16:04:56 -0300

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: golang-github-prometheus-client-golang
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Martina Ferrari <tincho@debian.org>,
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Martina Ferrari <tina@debian.org>,
+           Lucas Kanashiro <kanashiro@debian.org>,
+           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-beorn7-perks-dev,
                golang-github-cespare-xxhash-dev,
                golang-github-json-iterator-go-dev,
-               golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0.4.1~),
+               golang-github-prometheus-client-model-dev (>= 0.2.0),
+               golang-github-prometheus-common-dev (>= 0.10.0),
                golang-golang-x-net-dev,
                golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
                golang-procfs-dev | golang-github-prometheus-procfs-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang.git
 Homepage: https://github.com/prometheus/client_golang.git
@@ -26,8 +29,8 @@
 Depends: golang-github-beorn7-perks-dev,
          golang-github-cespare-xxhash-dev,
          golang-github-json-iterator-go-dev,
-         golang-github-prometheus-client-model-dev,
-         golang-github-prometheus-common-dev (>= 0.4.1~),
+         golang-github-prometheus-client-model-dev (>= 0.2.0),
+         golang-github-prometheus-common-dev (>= 0.10.0),
          golang-golang-x-net-dev,
          golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
          golang-procfs-dev | golang-github-prometheus-procfs-dev,

## golang-github-prometheus-client-golang 1.9.0

=== debian/changelog ===
golang-github-prometheus-client-golang (1.9.0-2) unstable; urgency=medium

  * Team upload.
  * Switch to debian/watch version 4
  * Indent debian/watch file
  * Mark -dev package as Multi-Arch: foreign

 -- Guillem Jover <gjover@sipwise.com>  Tue, 26 Jan 2021 20:16:02 +0100

golang-github-prometheus-client-golang (1.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. Closes: #974426
  * Use '' instead of `' in text
  * Move note about license location on Debian systems into a Comment field
  * Update gitlab-ci.yml from latest upstream
  * Switch Section to golang
  * Switch to Standards-Version 4.5.1 (no changes needed)
  * Move non-transitional dependency alternatives first
  * Update gitignore entries
  * Do not enable DH_VERBOSE by default

 -- Guillem Jover <gjover@sipwise.com>  Sat, 23 Jan 2021 03:58:27 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Martina Ferrari <tina@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>,
            Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -14,10 +14,10 @@
                golang-github-json-iterator-go-dev,
                golang-github-prometheus-client-model-dev (>= 0.2.0),
                golang-github-prometheus-common-dev (>= 0.10.0),
+               golang-github-prometheus-procfs-dev | golang-procfs-dev,
                golang-golang-x-net-dev,
                golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
-               golang-procfs-dev | golang-github-prometheus-procfs-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang.git
@@ -26,14 +26,15 @@
 
 Package: golang-github-prometheus-client-golang-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: golang-github-beorn7-perks-dev,
          golang-github-cespare-xxhash-dev,
          golang-github-json-iterator-go-dev,
          golang-github-prometheus-client-model-dev (>= 0.2.0),
          golang-github-prometheus-common-dev (>= 0.10.0),
+         golang-github-prometheus-procfs-dev | golang-procfs-dev,
          golang-golang-x-net-dev,
          golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
-         golang-procfs-dev | golang-github-prometheus-procfs-dev,
          ${misc:Depends},
          ${shlibs:Depends},
 Provides: golang-prometheus-client-dev,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
# Exclude sample code from compilation and installation.
export DH_GOLANG_EXCLUDES := examples

%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/client_golang-$1.tar.gz/,\
      dversionmangle=s/\+ds\d*$//" \
  https://github.com/prometheus/client_golang/tags \
  (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## golang-github-prometheus-client-golang 1.11.0

=== debian/changelog ===
golang-github-prometheus-client-golang (1.11.0-3) unstable; urgency=medium

  * Team upload.
  * Require golang-github-prometheus-common-dev >= 0.16

 -- Benjamin Drung <benjamin.drung@ionos.com>  Wed, 22 Dec 2021 11:21:26 +0100

golang-github-prometheus-client-golang (1.11.0-2) unstable; urgency=medium

  * Team upload.
  * Update gbp.conf following latest Go Team workflow.
  * Update debian/watch file.
  * Remove obsolete alternative dependency on golang-procfs-dev.
  * Use dh-sequence-golang instead of dh-golang and --with=golang.
  * Add a blank line between variable settings.
  * Set build directory to _build.
  * Do not install uninteresting documentation.
  * Remove ${shlibs:Depends} from -dev Depends field.
  * Update copyright years.

 -- Guillem Jover <gjover@sipwise.com>  Fri, 03 Dec 2021 16:53:05 +0100

golang-github-prometheus-client-golang (1.11.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Add new collectors package (Closes: #992122)
  * Bump Standards-Version to 4.6.0

 -- Benjamin Drung <benjamin.drung@ionos.com>  Thu, 28 Oct 2021 19:00:40 +0200

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
                golang-any,
                golang-github-beorn7-perks-dev,
                golang-github-cespare-xxhash-dev,
                golang-github-json-iterator-go-dev,
                golang-github-prometheus-client-model-dev (>= 0.2.0),
-               golang-github-prometheus-common-dev (>= 0.10.0),
-               golang-github-prometheus-procfs-dev | golang-procfs-dev,
+               golang-github-prometheus-common-dev (>= 0.16),
+               golang-github-prometheus-procfs-dev,
                golang-golang-x-net-dev,
                golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang.git
@@ -31,12 +31,11 @@
          golang-github-cespare-xxhash-dev,
          golang-github-json-iterator-go-dev,
          golang-github-prometheus-client-model-dev (>= 0.2.0),
-         golang-github-prometheus-common-dev (>= 0.10.0),
-         golang-github-prometheus-procfs-dev | golang-procfs-dev,
+         golang-github-prometheus-common-dev (>= 0.16),
+         golang-github-prometheus-procfs-dev,
          golang-golang-x-net-dev,
          golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
          ${misc:Depends},
-         ${shlibs:Depends},
 Provides: golang-prometheus-client-dev,
 Breaks: golang-github-cloudflare-redoctober-dev (<< 0.0~git20161017.0.78e9720-4~),
         golang-github-grpc-ecosystem-go-grpc-prometheus-dev (<< 1.2.0+git20191002~),

## golang-github-prometheus-client-golang 1.11.1

=== debian/changelog ===
golang-github-prometheus-client-golang (1.11.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Martina Ferrari <tina@debian.org>  Fri, 19 Aug 2022 21:02:16 +0000

golang-github-prometheus-client-golang (1.11.1-1) unstable; urgency=medium

  * Team upload.

  [ Guillem Jover ]
  * New upstream release.
    - Fixes denial of service through unbounded credentials (CVE-2022-21698).
      Closes: #1008008

  [ Daniel Swarbrick ]
  * Drop nonexistent alternative build-dep golang-github-golang-protobuf-dev

 -- Guillem Jover <gjover@sipwise.com>  Mon, 21 Mar 2022 12:19:40 +0100

golang-github-prometheus-client-golang (1.11.0-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Martina Ferrari <tina@debian.org>  Fri, 19 Aug 2022 18:03:19 +0000

## golang-github-prometheus-client-golang 1.13.0

=== debian/changelog ===
golang-github-prometheus-client-golang (1.13.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop obsolete 03-add-collector_metrics_go119_test.patch
  * Add new 03-fix-go119_tests.patch
  * Add new build-dep golang-github-davecgh-go-spew-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 16 Sep 2022 14:24:52 +0000

golang-github-prometheus-client-golang (1.12.2-4) unstable; urgency=medium

  * Add new 05-fix-flaky-float64-tests.patch to fix comparison of calculated
    floating point values against precalculated data from a different arch
    - Add new dependency on golang-github-stretchr-testify-dev used by patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 12 Sep 2022 23:35:55 +0000

golang-github-prometheus-client-golang (1.12.2-3) unstable; urgency=medium

  * Drop obsolete golang-golang-x-net-dev dependencies
  * Add new 04-api-headstats-int64-timestamps.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 12 Sep 2022 10:15:52 +0000

golang-github-prometheus-client-golang (1.12.2-2) unstable; urgency=medium

  * Add missing golang-google-protobuf-dev build-dep to binary package

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 11 Sep 2022 23:58:36 +0000

golang-github-prometheus-client-golang (1.12.2-1) unstable; urgency=medium

  * New upstream version
  * Add new build-dep golang-google-protobuf-dev
  * Add new 02-support-outdated-protobuf-build-deps.patch
  * Add new 03-add-collector_metrics_go119_test.patch
  * Bump Standards-Version to 4.6.1 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 11 Sep 2022 18:00:33 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>,
-           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>
+           Daniel Swarbrick <dswarbrick@debian.org>,
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -11,13 +11,15 @@
                golang-any,
                golang-github-beorn7-perks-dev,
                golang-github-cespare-xxhash-dev,
+               golang-github-davecgh-go-spew-dev,
                golang-github-json-iterator-go-dev,
                golang-github-prometheus-client-model-dev (>= 0.2.0),
                golang-github-prometheus-common-dev (>= 0.16),
                golang-github-prometheus-procfs-dev,
-               golang-golang-x-net-dev,
-               golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
-Standards-Version: 4.6.0
+               golang-github-stretchr-testify-dev,
+               golang-google-protobuf-dev,
+               golang-goprotobuf-dev,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang.git
@@ -29,12 +31,14 @@
 Multi-Arch: foreign
 Depends: golang-github-beorn7-perks-dev,
          golang-github-cespare-xxhash-dev,
+         golang-github-davecgh-go-spew-dev,
          golang-github-json-iterator-go-dev,
          golang-github-prometheus-client-model-dev (>= 0.2.0),
          golang-github-prometheus-common-dev (>= 0.16),
          golang-github-prometheus-procfs-dev,
-         golang-golang-x-net-dev,
-         golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
+         golang-github-stretchr-testify-dev,
+         golang-google-protobuf-dev,
+         golang-goprotobuf-dev,
          ${misc:Depends},
 Provides: golang-prometheus-client-dev,
 Breaks: golang-github-cloudflare-redoctober-dev (<< 0.0~git20161017.0.78e9720-4~),

## golang-github-prometheus-client-golang 1.13.1

=== debian/changelog ===
golang-github-prometheus-client-golang (1.13.1-1) unstable; urgency=medium

  * New upstream release
  * d/control: drop unused golang-github-stretchr-testify-dev dependency

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 02 Nov 2022 12:58:42 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
                golang-github-prometheus-client-model-dev (>= 0.2.0),
                golang-github-prometheus-common-dev (>= 0.16),
                golang-github-prometheus-procfs-dev,
-               golang-github-stretchr-testify-dev,
                golang-google-protobuf-dev,
                golang-goprotobuf-dev,
 Standards-Version: 4.6.1
@@ -36,7 +35,6 @@
          golang-github-prometheus-client-model-dev (>= 0.2.0),
          golang-github-prometheus-common-dev (>= 0.16),
          golang-github-prometheus-procfs-dev,
-         golang-github-stretchr-testify-dev,
          golang-google-protobuf-dev,
          golang-goprotobuf-dev,
          ${misc:Depends},

## golang-github-prometheus-client-golang 1.14.0

=== debian/changelog ===
golang-github-prometheus-client-golang (1.14.0-3) unstable; urgency=medium

  * Team upload

  [ Daniel Swarbrick ]
  * Bump Standards-Version to 4.6.2 (no changes)
  * Modernize protobuf dependencies

  [ Mathias Gibbens ]
  * Allow golang-github-golang-protobuf-1-5-dev as optional Depends

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 06 Jan 2023 20:57:09 +0000

golang-github-prometheus-client-golang (1.14.0-2) unstable; urgency=medium

  * Add new 05-fix-flaky-TestSparseHistogram.patch to skip buggy test on
    ppc64el

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 09 Nov 2022 11:21:09 +0000

golang-github-prometheus-client-golang (1.14.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop obsolete patches
    - 03-fix-go119_tests.patch
    - 05-fix-flaky-float64-tests.patch
  * Bump golang-github-prometheus-client-model-dev version requirement to
    0.3.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 08 Nov 2022 10:57:41 +0000

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
                golang-github-beorn7-perks-dev,
                golang-github-cespare-xxhash-dev,
                golang-github-davecgh-go-spew-dev,
+               golang-github-golang-protobuf-1-3-dev,
                golang-github-json-iterator-go-dev,
-               golang-github-prometheus-client-model-dev (>= 0.2.0),
+               golang-github-prometheus-client-model-dev (>= 0.3.0),
                golang-github-prometheus-common-dev (>= 0.16),
                golang-github-prometheus-procfs-dev,
                golang-google-protobuf-dev,
-               golang-goprotobuf-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang.git
@@ -31,12 +31,12 @@
 Depends: golang-github-beorn7-perks-dev,
          golang-github-cespare-xxhash-dev,
          golang-github-davecgh-go-spew-dev,
+         golang-github-golang-protobuf-1-3-dev | golang-github-golang-protobuf-1-5-dev,
          golang-github-json-iterator-go-dev,
-         golang-github-prometheus-client-model-dev (>= 0.2.0),
+         golang-github-prometheus-client-model-dev (>= 0.3.0),
          golang-github-prometheus-common-dev (>= 0.16),
          golang-github-prometheus-procfs-dev,
          golang-google-protobuf-dev,
-         golang-goprotobuf-dev,
          ${misc:Depends},
 Provides: golang-prometheus-client-dev,
 Breaks: golang-github-cloudflare-redoctober-dev (<< 0.0~git20161017.0.78e9720-4~),

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Exclude sample code from compilation and installation.
export DH_GOLANG_EXCLUDES := examples

%:
	dh $@ --buildsystem=golang --builddirectory=_build

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/prometheus/client_golang/tags \
  (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## golang-github-prometheus-client-golang 1.15.1

=== debian/changelog ===
golang-github-prometheus-client-golang (1.15.1-2) unstable; urgency=medium

  * Drop obsolete 02-support-outdated-protobuf-build-deps.patch
  * Replace golang-github-golang-protobuf-1-3-dev Build-Depends with
    golang-github-golang-protobuf-1-5-dev
  * Drop alternative golang-github-golang-protobuf-1-3-dev Depends

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 18 Jun 2023 21:11:14 +0000

golang-github-prometheus-client-golang (1.15.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Bump minimum required golang-github-prometheus-common-dev version to
    0.42.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 14 Jun 2023 14:20:01 +0000

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
                golang-github-beorn7-perks-dev,
                golang-github-cespare-xxhash-dev,
                golang-github-davecgh-go-spew-dev,
-               golang-github-golang-protobuf-1-3-dev,
+               golang-github-golang-protobuf-1-5-dev,
                golang-github-json-iterator-go-dev,
                golang-github-prometheus-client-model-dev (>= 0.3.0),
-               golang-github-prometheus-common-dev (>= 0.16),
+               golang-github-prometheus-common-dev (>= 0.42.0),
                golang-github-prometheus-procfs-dev,
                golang-google-protobuf-dev,
 Standards-Version: 4.6.2
@@ -31,10 +31,10 @@
 Depends: golang-github-beorn7-perks-dev,
          golang-github-cespare-xxhash-dev,
          golang-github-davecgh-go-spew-dev,
-         golang-github-golang-protobuf-1-3-dev | golang-github-golang-protobuf-1-5-dev,
+         golang-github-golang-protobuf-1-5-dev,
          golang-github-json-iterator-go-dev,
          golang-github-prometheus-client-model-dev (>= 0.3.0),
-         golang-github-prometheus-common-dev (>= 0.16),
+         golang-github-prometheus-common-dev (>= 0.42.0),
          golang-github-prometheus-procfs-dev,
          golang-google-protobuf-dev,
          ${misc:Depends},

## golang-github-prometheus-client-golang 1.16.0

=== debian/changelog ===
golang-github-prometheus-client-golang (1.16.0-4) unstable; urgency=medium

  * Team upload
  * Add patch to fix FTBFS with golang-1.21

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 28 Jul 2023 15:53:00 +0800

golang-github-prometheus-client-golang (1.16.0-3) unstable; urgency=medium

  * Add stricter version constraints for golang-github-prometheus-common-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 20 Jun 2023 12:00:59 +0000

golang-github-prometheus-client-golang (1.16.0-2) unstable; urgency=medium

  * Add new 06-client_model_0.4.0.patch
  * Bump minimum required golang-github-prometheus-client-model-dev version to
    0.4.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 19 Jun 2023 19:22:17 +0000

golang-github-prometheus-client-golang (1.16.0-1) unstable; urgency=medium

  * New upstream release
  * Drop unused golang-github-golang-protobuf-1-5-dev dependency
  * Add tutorial directory to DH_GOLANG_EXCLUDES

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 19 Jun 2023 11:56:19 +0000

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,9 @@
                golang-github-beorn7-perks-dev,
                golang-github-cespare-xxhash-dev,
                golang-github-davecgh-go-spew-dev,
-               golang-github-golang-protobuf-1-5-dev,
                golang-github-json-iterator-go-dev,
-               golang-github-prometheus-client-model-dev (>= 0.3.0),
-               golang-github-prometheus-common-dev (>= 0.42.0),
+               golang-github-prometheus-client-model-dev (>= 0.4.0),
+               golang-github-prometheus-common-dev (>= 0.44.0),
                golang-github-prometheus-procfs-dev,
                golang-google-protobuf-dev,
 Standards-Version: 4.6.2
@@ -31,10 +30,9 @@
 Depends: golang-github-beorn7-perks-dev,
          golang-github-cespare-xxhash-dev,
          golang-github-davecgh-go-spew-dev,
-         golang-github-golang-protobuf-1-5-dev,
          golang-github-json-iterator-go-dev,
-         golang-github-prometheus-client-model-dev (>= 0.3.0),
-         golang-github-prometheus-common-dev (>= 0.42.0),
+         golang-github-prometheus-client-model-dev (>= 0.4.0),
+         golang-github-prometheus-common-dev (>= 0.44.0),
          golang-github-prometheus-procfs-dev,
          golang-google-protobuf-dev,
          ${misc:Depends},
@@ -42,6 +40,7 @@
 Breaks: golang-github-cloudflare-redoctober-dev (<< 0.0~git20161017.0.78e9720-4~),
         golang-github-grpc-ecosystem-go-grpc-prometheus-dev (<< 1.2.0+git20191002~),
         golang-github-mwitkow-go-conntrack-dev (<< 0.0~git20190716~),
+        golang-github-prometheus-common-dev (<< 0.44.0~),
         golang-redoctober (<< 0.0~git20161017.0.78e9720-4~),
         prometheus-postfix-exporter (<< 0.2.0-1~),
 Description: Prometheus instrumentation library for Go applications

## golang-github-prometheus-client-golang 1.17.0

=== debian/changelog ===
golang-github-prometheus-client-golang (1.17.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete patches (resolved upstream):
    - 0004-client_model_0.4.0.patch
    - 0005-Skip-unsupported-tests-on-Go1.21.patch
  * Refresh remaining patches
  * Bump minimum required golang-github-prometheus-client-model-dev version to
    0.5.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 06 Oct 2023 08:15:59 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                golang-github-cespare-xxhash-dev,
                golang-github-davecgh-go-spew-dev,
                golang-github-json-iterator-go-dev,
-               golang-github-prometheus-client-model-dev (>= 0.4.0),
+               golang-github-prometheus-client-model-dev (>= 0.5.0),
                golang-github-prometheus-common-dev (>= 0.44.0),
                golang-github-prometheus-procfs-dev,
                golang-google-protobuf-dev,
@@ -31,7 +31,7 @@
          golang-github-cespare-xxhash-dev,
          golang-github-davecgh-go-spew-dev,
          golang-github-json-iterator-go-dev,
-         golang-github-prometheus-client-model-dev (>= 0.4.0),
+         golang-github-prometheus-client-model-dev (>= 0.5.0),
          golang-github-prometheus-common-dev (>= 0.44.0),
          golang-github-prometheus-procfs-dev,
          golang-google-protobuf-dev,

## golang-github-prometheus-client-golang 1.18.0

=== debian/changelog ===
golang-github-prometheus-client-golang (1.18.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 0004-Fix-basic-auth-test.patch (fixed upstream)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 13 Jan 2024 23:18:42 +0000

golang-github-prometheus-client-golang (1.17.0-2) unstable; urgency=medium

  * Add new 0004-Fix-basic-auth-test.patch and bump minimum required
    golang-github-prometheus-common-dev to 0.45.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 13 Nov 2023 17:54:10 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                golang-github-davecgh-go-spew-dev,
                golang-github-json-iterator-go-dev,
                golang-github-prometheus-client-model-dev (>= 0.5.0),
-               golang-github-prometheus-common-dev (>= 0.44.0),
+               golang-github-prometheus-common-dev (>= 0.45.0),
                golang-github-prometheus-procfs-dev,
                golang-google-protobuf-dev,
 Standards-Version: 4.6.2

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Exclude sample code from compilation and installation.
export DH_GOLANG_EXCLUDES := examples tutorial

%:
	dh $@ --buildsystem=golang --builddirectory=_build

## golang-github-prometheus-client-golang 1.19.0

=== debian/changelog ===
golang-github-prometheus-client-golang (1.19.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete patches:
    - 0004-Relax-brittle-HTTP-header-test.patch (resolved upstream)
    - 0005-Support-Go-1.22.patch (implemented upstream)
  * Bump golang-github-prometheus-common-dev version constraint (>= 0.48.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 09 Mar 2024 11:20:48 +0000

golang-github-prometheus-client-golang (1.18.0-3) unstable; urgency=medium

  * Team upload
  * Backport patch for Go 1.22

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Mar 2024 01:40:25 +0800

golang-github-prometheus-client-golang (1.18.0-2) unstable; urgency=medium

  * Add new 0004-Relax-brittle-HTTP-header-test.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 17 Feb 2024 16:23:16 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                golang-github-davecgh-go-spew-dev,
                golang-github-json-iterator-go-dev,
                golang-github-prometheus-client-model-dev (>= 0.5.0),
-               golang-github-prometheus-common-dev (>= 0.45.0),
+               golang-github-prometheus-common-dev (>= 0.48.0),
                golang-github-prometheus-procfs-dev,
                golang-google-protobuf-dev,
 Standards-Version: 4.6.2
@@ -32,7 +32,7 @@
          golang-github-davecgh-go-spew-dev,
          golang-github-json-iterator-go-dev,
          golang-github-prometheus-client-model-dev (>= 0.5.0),
-         golang-github-prometheus-common-dev (>= 0.44.0),
+         golang-github-prometheus-common-dev (>= 0.48.0),
          golang-github-prometheus-procfs-dev,
          golang-google-protobuf-dev,
          ${misc:Depends},

## golang-github-prometheus-client-golang 1.19.1

=== debian/changelog ===
golang-github-prometheus-client-golang (1.19.1-2) unstable; urgency=medium

  * Team upload.
  * Update metrics in tests for Go1.23 and Go1.22.6

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 14 Aug 2024 18:54:57 +0800

golang-github-prometheus-client-golang (1.19.1-1) unstable; urgency=medium

  * New upstream release (no code changes)
  * Add new 0005-Support-prometheus-common-v0.55.0.patch
  * Bump golang-github-prometheus-common-dev version constraint (>= 0.55.0)
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 12 Aug 2024 14:18:58 +0000

golang-github-prometheus-client-golang (1.19.0-2) unstable; urgency=medium

  * Team upload.
  * Disable TestExpectedRuntimeMetrics, TestGoCollector_ExposedMetrics
    Closes: #1076884

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 01 Aug 2024 10:06:12 -0400

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
                golang-github-davecgh-go-spew-dev,
                golang-github-json-iterator-go-dev,
                golang-github-prometheus-client-model-dev (>= 0.5.0),
-               golang-github-prometheus-common-dev (>= 0.48.0),
+               golang-github-prometheus-common-dev (>= 0.55.0),
                golang-github-prometheus-procfs-dev,
                golang-google-protobuf-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang.git
@@ -32,7 +32,7 @@
          golang-github-davecgh-go-spew-dev,
          golang-github-json-iterator-go-dev,
          golang-github-prometheus-client-model-dev (>= 0.5.0),
-         golang-github-prometheus-common-dev (>= 0.48.0),
+         golang-github-prometheus-common-dev (>= 0.55.0),
          golang-github-prometheus-procfs-dev,
          golang-google-protobuf-dev,
          ${misc:Depends},

## golang-github-prometheus-client-golang 1.20.1

=== debian/changelog ===
golang-github-prometheus-client-golang (1.20.1-1) unstable; urgency=medium

  * New upstream (bugfix) release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 20 Aug 2024 12:40:33 +0000

golang-github-prometheus-client-golang (1.20.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 0004-Support-prometheus-common-v0.55.0.patch (implemented
    upstream)
  * Refresh patches
  * d/rules: add 'dagger' to DH_GOLANG_EXCLUDES
  * d/control: add new Build-Depends:
    - golang-github-klauspost-compress-dev
    - golang-github-kylelemons-godebug-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 19 Aug 2024 13:13:46 +0000
